Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.identifier
Class DBIdentifierRule

    java.lang.Object
      org.apache.openjpa.lib.identifier.IdentifierRule
          org.apache.openjpa.jdbc.identifier.DBIdentifierRule

Direct Known Subclasses:
  ColumnDefIdentifierRule

    public class DBIdentifierRule

extends IdentifierRule

The default DBIdentifier rule. Closely matches SQL92 naming rules.

Field Summary
`static String` | `DEFAULT_SQL_92`
`static String` | `SPECIAL_CHARS`

Fields inherited from class org.apache.openjpa.lib.identifier.IdentifierRule
`DEFAULT_RULE, EMPTY_SET, UNDERSCORE`

Constructor Summary
`DBIdentifierRule()`
`DBIdentifierRule(DBIdentifier.DBIdentifierType id, Set<String> reservedWords)`

Method Summary

Methods inherited from class org.apache.openjpa.lib.identifier.IdentifierRule
`getAllowCompaction, getCanDelimit, getDelimitReservedWords, getMaxLength, getMustDelimit, getName, getReservedWords, getSpecialCharacters, isAllowTruncation, isMustBeginWithLetter, isNullable, isOnlyLettersDigitsUnderscores, isReservedWord, requiresDelimiters, setAllowCompaction, setAllowTruncation, setCanDelimit, setDelimitReservedWords, setMaxLength, setMustBeginWithLetter, setMustDelimit, setName, setNullable, setOnlyLettersDigitsUnderscores, setReservedWords, setSpecialCharacters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SQL_92

    public static final String DEFAULT_SQL_92

See Also:
  Constant Field Values

### SPECIAL_CHARS

    public static final String SPECIAL_CHARS

See Also:
  Constant Field Values

Constructor Detail

### DBIdentifierRule

    public DBIdentifierRule()

### DBIdentifierRule

    public DBIdentifierRule(DBIdentifier.DBIdentifierType id,
                            Set<String> reservedWords)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.